Skip to main content
POST
/
contents
/
render
/
{id}
Render a content with a given dependency data
curl --request POST \
  --url https://api.reelevant.com/v2/contents/render/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dependenciesData": {},
  "renderType": "<string>"
}
'
{
  "program": "<string>",
  "version": "<string>",
  "datetime": "<string>",
  "status": "fail",
  "code": 123,
  "message": "<string>",
  "data": {
    "id": "<string>"
  },
  "error_code": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-rlvt-no-cache
boolean

Path Parameters

id
string
required
Pattern: ^[0-9a-fA-F]{24}$

Body

application/json
dependenciesData
object
required
renderType
string

Response

No Content